Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354185 - Dell Latitude e7470 - kernel > 4.6 would not boot in [NEEDINFO]
Summary: Dell Latitude e7470 - kernel > 4.6 would not boot in
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 12:20 UTC by lejeczek
Modified: 2016-10-26 16:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:58:19 UTC
labbott: needinfo? (peljasz)


Attachments (Terms of Use)
more sleep-wakeup problem dmesg (deleted)
2016-09-09 19:40 UTC, lejeczek
no flags Details

Description lejeczek 2016-07-10 12:20:16 UTC
Description of problem:

4.7.x would not boot no matter what. Blank screen, nothing even with "verbose"
4.6.x weirdly using "verbose" as param would boot ok, sometimes would look a bit random.
4.5.x boots fine every time

please feel free to request more info.
many thanks

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lejeczek 2016-07-14 08:46:34 UTC
gee, it really looks random too me. I thought "verbose" helps for it forces display but I just had 4.7.x booted Ok as normal "quiet".
There is also "crackling" sound at one point during the bootup, as if audio subsystem was initialized or something.
Gee, is this Intel's 6th Gen really so bad?

Comment 3 lejeczek 2016-07-30 09:06:09 UTC
"verbose" really does something to boot, without it 99.9% chances it won't boot.
But that whole Dell e7470 is a quite a disaster:
- sometimes screen would flick and system is "done", only hard-cold-button power off "works".
- drivers for touchpad: xinput does not show "PS/2 Generic Mouse" and this why I think there is no scrolling with middle button and point-stick in Gnome.
- speakers would produce a crackling noise(although sound is OK) for a second, most of the times at boot, logon, resume and sometime when an multimedia app starts
- Fn Keys work in a funky way, eg. Display brightness works without pressing Fn.

I know this is not the place but in case anybody is contemplating buying this Laptop - my view is: HP EliteBook 745 G3 with AMD A12-8800B (which I decided to move onto) is by miles better, from kernel+Fedora perspective.

Comment 4 lejeczek 2016-08-13 10:50:52 UTC
ok, 4.8 does some good magic, OS boots now, but other problems of which most annoying is lack of mouse emulation with middle button to scroll, remain.

Comment 5 lejeczek 2016-09-09 19:40:15 UTC
Created attachment 1199596 [details]
more sleep-wakeup problem dmesg

Comment 6 Laura Abbott 2016-09-23 19:19:53 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 7 Laura Abbott 2016-10-26 16:58:19 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.